#loading {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    display: block;
    opacity: 0.9;
    background-color: #fff;
    z-index: 99;
    text-align: center;
}

.dark-mode #loading {
    background-color:#000;
}

#loading-image {
    position: absolute;
    top: 30%;
    left: 50%;
    z-index: 100;
}